package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
* 一二级圈子关联表
* @TableName community_circle_association
*/
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("community_circle_association")
public class CommunityCircleAssociation implements Serializable {

    /**
    * 收藏id
    */
    @NotNull(message="[id]不能为空")
    @ApiModelProperty("id")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
    * 一级圈子id
    */
    @ApiModelProperty("一级圈子id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long expandId;
    /**
    * 二级圈子id
    */
    @ApiModelProperty("二级圈子id")
    private Long circleId;

    /** 创建者 */
    @ApiModelProperty("创建者")
    private Long createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty("更新者")
    private Long updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
