package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* 用户反馈图片表
* @TableName community_feedback_images
*/
@TableName("community_feedback_images")
@Data
public class CommunityFeedbackImages implements Serializable {

    /**
     * id
     */
    @NotNull(message = "[id]不能为空")
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 反馈ID
     */
    @ApiModelProperty("反馈ID")
    private Long feedbackId;


	/**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private Long userId;

	/**
     * 管理员ID
     */
    @ApiModelProperty("管理员ID")
    private Long punishId;

    /**
     * 图片地址
     */
    @ApiModelProperty("图片地址")
    private String imageUrl;

	/**
     * 缩略图
     */
    @ApiModelProperty("缩略图")
    private String compressUrl;



    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;



    /**
     * 是否已删除
     */
    @ApiModelProperty("是否已删除")
    private Boolean isDelete;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private Long createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
