package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import javax.validation.constraints.NotNull;

import java.io.Serializable;
import java.util.Date;

/**
* 举报信息表
* @TableName community_report_data
*/
@TableName("community_report_data")
@Data
public class CommunityReportData implements Serializable {
    /**
     * 文章id
     */
    @NotNull(message = "[文章id]不能为空")
    @ApiModelProperty("文章id")
    @TableId(value = "id", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
     * 举报类型
     */
    @ApiModelProperty("type")
    private Long type;
    /**
     * 举报分类
     */
    @ApiModelProperty("举报分类")
    private Long category;
    /**
     * 举报信息
     */
    @ApiModelProperty("举报信息")
    private String content;
    /**
     * 是否已删除
     */
    @ApiModelProperty("是否已删除")
    private Boolean isDelete;
    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
