package com.ruoyi.generator.mapper.community;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.generator.domain.Community.CommunityArticleComment;
import com.ruoyi.generator.vo.CommentVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CommunityArticleCommentMapper extends BaseMapper<CommunityArticleComment> {

    /**
     * 获取文章评论回复总数
     * @param articleId 文章id
     * @return 总数
     */
    Integer queryCommentCount(@Param("articleId") Long articleId);

    /**
     * 获取用户所有文章具体评论文章的数量
     * @param articleIds
     * @return
     */
    Integer queryCommentReplyCount (@Param("articleIds")  List<Long> articleIds);

    /**
     * 获取所有文章具体评论文章的数量  以及 用户文章数量的排名
     * @param commentSum
     * @return
     */
    Integer queryCommentReplyCountPerson (@Param("commentSum")  int commentSum);


    /**
     * 获取用户所有文章和评论被喜欢的数量的数量  跟下面sql一样后期优化
     * @param userId
     * @return
     */
    Integer queryCommentReplyLikeCount (@Param("userId") Long userId);

    /**
     * 获取所有喜欢数量的排名
     * @param likeSum
     * @return
     */
    Integer queryCommentReplyLikeCountPerson (@Param("likeSum")  int likeSum);


    List<CommunityArticleComment>  queryComment  (@Param("articleId")  Long articleId,@Param("comment")  String comment,@Param("offset")  int offset, @Param("limit") int limit);

    /**
     * 获取当前用户文章的所有评论信息
     * @param userId 当前用户id
     * @return 该用户的文章信息
     */
    List<CommentVo> getCommentListByUserId(@Param("userId") long userId,
                                           @Param("offset") int offset,
                                           @Param("limit") int limit,
                                           @Param("searchType") int searchType);

    List<CommentVo> getCommentListByUserId2(@Param("userId") long userId,
                                           @Param("searchType") int searchType);
}
