package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.generator.domain.Community.CommunityArticleImages;
import com.ruoyi.generator.domain.Community.CommunityFeedbackImages;
import com.ruoyi.generator.domain.Community.CommunityFeedbackUser;
import com.ruoyi.generator.domain.Community.CommunityReportImages;
import com.ruoyi.generator.mapper.community.CommunityFeedbackImagesMapper;
import com.ruoyi.generator.mapper.community.CommunityFeedbackUserMapper;
import com.ruoyi.generator.vo.CommunityImagesVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author fangqing
 * @date 2025/6/13 10:49
 */
@Service
public class CommunityFeedbackUserServiceImpl extends ServiceImpl<CommunityFeedbackUserMapper, CommunityFeedbackUser> implements ICommunityFeedbackUserService {

    @Autowired
    private CommunityFeedbackUserMapper communityFeedbackUserMapper;

    @Autowired
    private CommunityFeedbackImagesMapper communityFeedbackImagesMapper;


    /**
     * 用户反馈
     * @param communityFeedbackUser
     * @return
     */
    @Override
    public CommunityFeedbackUser insertCommunityFeedbacktUser(CommunityFeedbackUser communityFeedbackUser) {
        //创建一个新的对象匹配
        CommunityFeedbackUser feedbackUser = new CommunityFeedbackUser();

        Long userId = communityFeedbackUser.getUserId();
        if (userId == null){
            userId = SecurityUtils.getUserId();
        }

        feedbackUser.setType(communityFeedbackUser.getType());
        feedbackUser.setIsChoice(communityFeedbackUser.getIsChoice());
        feedbackUser.setUserId(userId);
        feedbackUser.setUserFeedback(communityFeedbackUser.getUserFeedback());
        feedbackUser.setCreateBy(userId);
        feedbackUser.setCreateTime(DateUtils.parseDate(DateUtils.getTime()));

        communityFeedbackUserMapper.insert(feedbackUser);
        System.out.println(communityFeedbackUser);
        //插入图片日志
        List<CommunityImagesVo> images = communityFeedbackUser.getUserImages();
        if (images != null && !images.isEmpty()) {
            CommunityFeedbackImages feedbackImages = null;
            for (CommunityImagesVo image : images) {
                feedbackImages = new CommunityFeedbackImages();
                feedbackImages.setFeedbackId(feedbackUser.getId());
                feedbackImages.setUserId(userId);
                feedbackImages.setImageUrl(image.getImages());
                feedbackImages.setCompressUrl(image.getCompressedImages());
                feedbackImages.setCreateTime(DateUtils.parseDate(DateUtils.getTime()));
                feedbackImages.setCreateBy(userId);
                communityFeedbackImagesMapper.insert(feedbackImages);
            }
        }

        return feedbackUser;
    }

    /**
     * 管理员反馈
     * @param communityFeedbackUser
     * @return
     */
    @Override
    public CommunityFeedbackUser updateCommunityFeedbacktUser(CommunityFeedbackUser communityFeedbackUser) {
        //创建一个新的对象匹配
        CommunityFeedbackUser feedbackUser = new CommunityFeedbackUser();

        Long punishId = communityFeedbackUser.getPunishId();
        if (punishId == null){
            punishId = SecurityUtils.getUserId();
        }

        feedbackUser.setId(communityFeedbackUser.getId());
        feedbackUser.setIsChoice(communityFeedbackUser.getIsChoice());
        feedbackUser.setPunishId(punishId);
        feedbackUser.setPunishFeedback(communityFeedbackUser.getPunishFeedback());
        feedbackUser.setUpdateBy(punishId);
        feedbackUser.setUpdateTime(DateUtils.parseDate(DateUtils.getTime()));
        communityFeedbackUserMapper.updateById(feedbackUser);

        //插入管理员图片日志
        List<CommunityImagesVo> images = communityFeedbackUser.getPunishImages();
        if (images != null && !images.isEmpty()) {
            CommunityFeedbackImages feedbackImages = null;
            for (CommunityImagesVo image : images) {
                feedbackImages = new CommunityFeedbackImages();
                feedbackImages.setFeedbackId(feedbackUser.getId());
                feedbackImages.setPunishId(punishId);
                feedbackImages.setImageUrl(image.getImages());
                feedbackImages.setCompressUrl(image.getCompressedImages());
                feedbackImages.setCreateTime(DateUtils.parseDate(DateUtils.getTime()));
                feedbackImages.setCreateBy(punishId);
                communityFeedbackImagesMapper.insert(feedbackImages);
            }
        }

        return feedbackUser;
    }
}
