package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.generator.domain.Community.CommunityArticleImages;
import com.ruoyi.generator.domain.Community.CommunityReportImages;
import com.ruoyi.generator.domain.Community.CommunityReportUser;
import com.ruoyi.generator.mapper.community.CommunityReportImagesMapper;
import com.ruoyi.generator.mapper.community.CommunityReportUserMapper;
import com.ruoyi.generator.mapper.community.CommunityTagBlockMapper;
import com.ruoyi.system.mapper.SysUserMapper;
import com.ruoyi.system.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CommunityReportUserServiceImpl extends ServiceImpl<CommunityReportUserMapper, CommunityReportUser> implements ICommunityReportUserService {


    @Autowired
    private CommunityReportUserMapper communityReportUserMapper;

    @Autowired
    private SysUserMapper sysUserMapper;

    @Autowired
    private ISysUserService userService;

    @Autowired
    private CommunityReportImagesMapper communityReportImagesMapper;

    @Override
    public CommunityReportUser insertCommunityReportUser(CommunityReportUser communityReportUser) {
        /*SysUser user = new SysUser();
        user.setUserId(communityReportUser.getUserId());
        user.setUserState(communityReportUser.getUserState());
        userService.updateUserProfile(user);*/

        //创建一个新的对象匹配
        CommunityReportUser reportUser = new CommunityReportUser();

        reportUser.setUserId(communityReportUser.getUserId());
        reportUser.setType(communityReportUser.getType());
        reportUser.setContent(communityReportUser.getContent());
        reportUser.setTypeId(communityReportUser.getTypeId());
        reportUser.setReportContent(communityReportUser.getReportContent());
        reportUser.setArticleId(communityReportUser.getArticleId());
        reportUser.setCommentId(communityReportUser.getCommentId());
        reportUser.setReplyId(communityReportUser.getReplyId());

        //根据用户信息查询用户头像名称
        SysUser sysUser = sysUserMapper.selectUserById(reportUser.getUserId());
        reportUser.setUserName(sysUser.getUserName());
        reportUser.setAvatar(sysUser.getAvatar());
        reportUser.setUserState(sysUser.getUserState());
        reportUser.setCreateBy(SecurityUtils.getUserId());
        reportUser.setCreateTime(DateUtils.parseDate(DateUtils.getTime()));
        communityReportUserMapper.insert(reportUser);

        Long id = reportUser.getId();
        System.out.println(id);
        //插入图片日志
        List<String> images = communityReportUser.getImages();
        if (images != null && !images.isEmpty()) {
            CommunityReportImages reportImages = null;
            for (String image : images) {
                reportImages = new CommunityReportImages();
                reportImages.setReportId(reportUser.getId());
                reportImages.setImageUrl(image);
                reportImages.setCreateTime(DateUtils.parseDate(DateUtils.getTime()));
                reportImages.setCreateBy(SecurityUtils.getUserId());
                communityReportImagesMapper.insert(reportImages);
            }
        }

        return reportUser;
    }
}
