package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.generator.domain.Community.CommunityArticleComment;
import com.ruoyi.generator.vo.CommentVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ICommunityArticleCommentService extends IService<CommunityArticleComment> {

    /**
     * 获取当前用户文章的所有评论信息
     *
     * @param userId 当前用户id
     * @return 该用户的文章信息
     */
    List<CommentVo> getCommentInfoByUserId(@Param("userId") long userId,
                                           @Param("offset") int offset,
                                           @Param("limit") int limit,
                                           @Param("searchType") int searchType);

    /** 刷新全部已读用
     */
    List<CommentVo> getCommentInfoByUserId2(@Param("userId") long userId,
                                            @Param("searchType") int searchType);
}
