package com.ruoyi.generator.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;


@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommunityReportPunishVo {

    /**
     *
     */
    @NotNull(message="[id]不能为空")
    @ApiModelProperty("id")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 举报类型
     */
    @ApiModelProperty("type")
    private Long type;

    /**
     * 文章/评论ID
     */
    @ApiModelProperty("文章/评论ID")
    private Long typeId;

    /**
     * 被举报人ID
     */
    @ApiModelProperty("被举报人ID")
    private Long userId;


    /**
     * 是否回复
     */
    @ApiModelProperty("是否回复")
    private Boolean isReply;

    /**
     * 处置类型
     */
    @ApiModelProperty("处置类型")
    private Long disposalType;

    /**
     * 处置时间
     */
    @ApiModelProperty("处置时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Long disposalTime;

    /**
     * 处置理由
     */
    @ApiModelProperty("处置理由")
    private String dispositionReason;


    /**
     * 文章ID
     */
    @ApiModelProperty("文章ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long articleId;

    /**
     * 评论ID
     */
    @ApiModelProperty("评论ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long commentId;

    /**
     * 子评论ID
     */
    @ApiModelProperty("子评论ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long replyId;
}
