package com.ruoyi.generator.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* 举报记录表
* @TableName community_report_user
*/
@TableName("ommunity_report_user")
@Data
public class CommunityReportUserVo implements Serializable {

    /**
     * id
     */
    @NotNull(message = "[id]不能为空")
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;


    /**
     * 举报类型
     */
    @ApiModelProperty("type")
    private String type;

    /**
     * 举报类型ID
     */
    @ApiModelProperty("types")
    private String typeName;

    /**
     * 举报内容
     */
    @ApiModelProperty("举报内容")
    private String reportContent;


    /**
     * 被举报人ID
     */
    @ApiModelProperty("被举报人ID")
    private Long userId;

    /**
     * 被举报人名称
     */
    @ApiModelProperty("被举报人名称")
    private String userName;

    /**
     * 被举报人用户状态
     */
    @ApiModelProperty("被举报人用户状态")
    private String userState;


    /**
     * 被举报人头像
     */
    @ApiModelProperty("被举报人头像")
    private String avatar;



    /**
     * 举报理由
     */
    @ApiModelProperty("举报理由")
    private String content;

    /**
     * 图片地址
     */
    @ApiModelProperty("图片地址")
    @TableField(exist = false)
    private List<Map<String, Object>> imageList;

    /**
     * 文章/评论ID
     */
    @ApiModelProperty("文章/评论ID")
    private String typeId;

    /**
     * 是否已删除
     */
    @ApiModelProperty("是否已删除")
    private Boolean isDelete;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 文章ID
     */
    @ApiModelProperty("文章ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long articleId;

    /**
     * 评论ID
     */
    @ApiModelProperty("评论ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long commentId;

    /**
     * 子评论ID
     */
    @ApiModelProperty("子评论ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long replyId;
}
